> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# IP アクセスリストをクリア

<div id="permissions">
  ## 権限
</div>

Enterprise レベルで `ManageIPWhitelist` 権限が付与されたサービスユーザーが必要です。


## OpenAPI

````yaml ja/v3-openapi.yaml DELETE /v3/enterprise/ip-access-list
openapi: 3.1.0
info:
  description: Service User 認証および RBAC に対応した Devin v3 API
  title: Devin API v3
  version: 3.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /v3/enterprise/ip-access-list:
    delete:
      tags:
        - ip-access-list
      summary: IP アクセスリストをクリア
      operationId: handle_clear_ip_access_list_v3_enterprise_ip_access_list_delete
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IpAccessListResponse'
          description: 成功時のレスポンス
components:
  schemas:
    IpAccessListResponse:
      properties:
        ip_ranges:
          items:
            type: string
          title: Ip Ranges
          type: array
      required:
        - ip_ranges
      title: IpAccessListResponse
      type: object
  securitySchemes:
    bearerAuth:
      description: 'サービスユーザーの認証情報（接頭辞: cog_）'
      scheme: bearer
      type: http

````